В VPN от Palo Alto нашли критическую брешь, которая затронула Uber

В VPN от Palo Alto нашли критическую брешь, которая затронула Uber

В программном обеспечении GlobalProtect SSL VPN от Palo Alto Networks обнаружили критическую уязвимость. Это решение используют корпорации по всему миру, включая популярный сервис для вызова такси — Uber.

Согласно официальному сообщению Palo Alto Networks, уязвимость получила идентификатор CVE-2019-1579, она затрагивает продукты GlobalProtect portal и GlobalProtect Gateway. С помощью этой бреши атакующий может удаленно выполнить код.

«Это уязвимость форматирования строки в PAN SSL Gateway, который обрабатывает SSL-хендшейки между клиентом и сервером», — так описывают баг исследователи Tenable.

Проблема кроется в том, как сетевой шлюз обрабатывает конкретные параметры. Злоумышленник может отправить специально созданный запрос — этого будет достаточно для успешной эксплуатации уязвимости.

Уязвимость актуальна только для старых версий операционной системы и сигнатур IPS. Пользователям нужно будет обновить следующий софт:

  • PAN-OS 7.1.18 и более старые версии — установить 7.1.22.
  • PAN-OS 8.0.11-h1* и более старые версии — установить 8.0.17.
  • PAN-OS 8.1.2 и более старые версии — установить версию 8.1.8.

Если по каким-то причинам у вас нет возможности обновить версию PAN-OS, Palo Alto Networks рекомендует поставить Content Update версии 8173 (и новее) и проверить, что IPS защищает подключения по VPN.

Представители Uber заявили, что Palo Alto SSL VPN не основной VPN-сервис, большинство сотрудников пользуются другими решениями. В целом компания оценила опасность уязвимости как «низкую».

Anti-Malware TelegramПодписывайтесь на канал "Anti-Malware" в Telegram, чтобы первыми узнавать о новостях и наших эксклюзивных материалах по информационной безопасности.

Уязвимость в модемах Qualcomm актуальна для миллионов Samsung Galaxy

Компания Samsung подтвердила, что раскрытая на прошлой неделе уязвимость в чипсетах Qualcomm Technologies линейки MSM затрагивает ее Android-устройства. Согласно описанию Check Point, данная брешь позволяет получить доступ к истории звонков и СМС-сообщениям пользователя, а также прослушивать его разговоры.

Системы на чипе MSM (Mobile Station Modem) производства Qualcomm Technologies обеспечивают подключение мобильных устройств к сетям 2G, 3G, 4G и 5G. По словам авторов опасной находки, уязвимость CVE-2020-11292 в MSM связана с использованием проприетарного протокола QMI (Qualcomm MSM Interface), позволяющего Android обмениваться данными с процессором модема.

Эксплуатация уязвимости осуществляется передачей в MSM запроса с параметрами в TLV-формате (Type-Length-Value), способного при обработке вызвать переполнение буфера в куче. В итоге автор атаки сможет скрытно установить вредоносный код на смартфон и шпионить за жертвой. Данную проблему можно также использовать для разблокировки СИМ-карты с целью обхода ограничений, установленных сервис-провайдером.

Исследователи известили Qualcomm о своей находке в октябре прошлого года. Разработчик выпустил патч и предоставил исходники OEM-провайдерам в декабре.

Чипсеты MSM присутствуют во многих мобильных устройствах, однако далеко не все из них используют QMI — по данным Check Point, порядка 30% всех смартфонов в мире. Выявленная экспертами проблема затронула также изделия Samsung, и производитель начал выпускать соответствующие обновления.

Этот процесс, по словам вендора, был запущен еще в январе, и с выходом майских обновлений для Android большую часть устройств Samsung, по ее оценкам, удалось защитить от эксплойта. Сколько из них в реальности получили патчи, определить трудно из-за большой фрагментарности экосистемы Android. Как бы то ни было, создатель популярных смартфонов призывает пользователей не пренебрегать обновлениями и всегда устанавливать их по мере выхода.

Anti-Malware TelegramПодписывайтесь на канал "Anti-Malware" в Telegram, чтобы первыми узнавать о новостях и наших эксклюзивных материалах по информационной безопасности.

RSS: Новости на портале Anti-Malware.ru